E1 = [ 1.6141e-03  -6.6626e-04  -3.6438e-01;
  -6.6626e-04   1.7228e-03  -1.3015e-01;
  -3.6438e-01  -1.3015e-01   1.1951e+02 ];

Q1 = 1000.0 * E1 / E1(3,3)

E2 = [ 1.6221e-03  -6.7488e-04  -3.5499e-01;
  -6.7488e-04   1.7322e-03  -1.4034e-01;
  -3.5499e-01  -1.4034e-01   1.3061e+02 ];

Q2 = 1000.0 * E2 / E2(3,3)

# Como es una simulación podemos saber
# la raíces :
beta1 = E2(3,3)/E1(3,3)
beta3 = beta1*(1.0/0.5)^2

Q1inv = inv( Q1 );
Q2inv = inv( Q2 );

B = Q1 * Q2inv;

[V, D] = eig( B );
# Se podría resolver directamente la cúbica a partir
# de la matriz B (en vez de usar)

# Recuperamos H
# Para la raiz igual

# Para la primera columna de H, usamos la raiz repetida
beta1 = D(2,2);
Delta = beta1*Q1inv - Q2inv;
[U2, D2, V2] = svd(Delta);

H = U2*sqrt(D2);

# Se podría usar la eigendescomposición de Delta (esta es simétrica)

# Para hallar las otras dos columnas de H, usamos la raíz única
beta3 = D(1,1);
Delta = beta3*Q1inv - Q2inv;
[U3, D3, V3] = svd(Delta);

H2 = U3*sqrt(D3);
H2(:, 3) = H( :, 1 );

H = H2;

u0 = 300;
v0 = 200;
f2 = ( u0 * ( H(1,2) * H(3,1) + H(3,2)*H(1,1) - u0*H(3,2)*H(3,1) ) + v0*( H(2,2)*H(3,1) + \
	H(3,2)*H(2,1) - v0*H(3,2)*H(3,1) ) - H(1,2)*H(1,1) - H(2,2)*H(2,1) )/ \
	(H(3,2)*H(3,1))

f2 = sqrt(f2)
